using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class DialogNode : IDialogNode
{
	[SerializeField]
	private List<TextNode> _textNodes;

	[SerializeField]
	private string _nextDialogId;

	private int _index = -1;

	public DialogNode(DialogNode from)
	{
		_textNodes = from._textNodes;
		_nextDialogId = from._nextDialogId;
	}

	public void GetNextDialog(Action<TextNode> onNextNode, Action<SelectVariantDialogNode> onVariantDialog, Action<string> onNextDialog)
	{
		_index++;

		if (_index >= _textNodes.Count)
		{
			onNextDialog?.Invoke(_nextDialogId);
		}
		else
		{
			onNextNode?.Invoke(_textNodes[_index]);
		}
	}
}
