using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class SelectVariantDialogNode : IDialogNode
{
	[System.Serializable]
	public class VaraintData
	{
		[SerializeField]
		private string _text;
		[SerializeField]
		private string _nextId;

		public string Text { get => _text; }
		public string NextId { get => _nextId; }
	}

	[SerializeField]
	private List<VaraintData> _options;

	[SerializeField]
	private TextNode _bottomText;

	public TextNode BottomText { get => _bottomText; }

	public List<VaraintData> Options { get => _options; }

	public void GetNextDialog(Action<TextNode> onNextNode, Action<SelectVariantDialogNode> onVariantDialog, Action<string> onNextDialog)
	{
		onVariantDialog?.Invoke(this);
	}
}
