using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class UiDialogVariant : MonoBehaviour
{
	[SerializeField]
	private UiDialogVariantElement _elementPrefab;

	[SerializeField]
	private RectTransform _variantsContainer;

	private List<UiDialogVariantElement> _elemets = new List<UiDialogVariantElement>();

	public void ShowOptions(List<SelectVariantDialogNode.VaraintData> options, Action<string> onNextDialog)
	{
		foreach(var element in _elemets)
		{
			Destroy(element.gameObject);
		}
		_elemets.Clear();

		foreach(var option in options)
		{
			var clone = Instantiate(_elementPrefab, _variantsContainer);
			clone.gameObject.SetActive(true);
			var nextId = option.NextId;
			clone.Init(option.Text, () =>
			{
				onNextDialog?.Invoke(nextId);
			});

			_elemets.Add(clone);
		}
	}
}
